data:extend
(
  {
    {
      type = "item",
      name = "burner-generator",
      icon = "__gimprovements__/graphics/icons/thermal-power-station.png",
      flags = {"goes-to-quickbar"},
      subgroup = "energy",
      order = "b[steam-power]-c[burner-generator]",
      place_result = "burner-generator",
      stack_size = 10
    },
    {
      type = "item",
      name = "burner-generator-power",
      icon = "__gimprovements__/graphics/icons/thermal-power-station.png",
      flags = {"goes-to-quickbar"},
      subgroup = "energy",
      order = "d-j",
      place_result = "burner-generator-power",
      stack_size = 50
    },

    {
      type = "recipe",
      name = "burner-generator",
      enabled = "false",
      ingredients =
      {
        {"boiler", 3},
        {"steel-plate", 8},
        {"iron-gear-wheel", 10},
        {"pipe", 6}
      },
      result = "burner-generator"
    },

    {
      type = "boiler",
      name = "burner-generator",
      icon = "__gimprovements__/graphics/icons/thermal-power-station.png",
      flags = {"placeable-player", "player-creation"},
      minable = {hardness = 1, mining_time = 1, result = "burner-generator"},
      fast_replaceable_group = "Burner_Generator",
      max_health = 300,
      corpse = "medium-remnants",
      resistances = 
      {
        {
          type = "fire",
          percent = 80
        }
      },
      collision_box = {{-2.4, -2.4}, {2.4, 2.4}},
      selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
      fluid_box =
      {
        base_area = 10.0,
        pipe_connections ={},
      },
      energy_consumption = "125kW",
      burner =
      {
        effectivity = 0.4,
        fuel_inventory_size = 2,
        emissions = 0.08,
        smoke =
        {
          {
            name = "smoke",
            deviation = {0, 0},
            position = {-1.5, -1.3},
            frequency = 2
          }
        }
      },
      structure =
      {
        left =
        {
          filename = "__gimprovements__/graphics/blank1.png",
          width = 1,
          height = 1,
          frame_count = 1,
          shift = {1, 0}
          },
        down =
        {
          filename = "__gimprovements__/graphics/blank1.png",
          priority = "extra-high",
          width = 1,
          height = 1,
          frame_count = 1,
          shift = {1, 0}
          },
        left_down =
        {
          filename = "__gimprovements__/graphics/blank1.png",
          priority = "extra-high",
          width = 1,
          height = 1,
          frame_count = 1,
          shift = {1, 0}
          },
        right_down =
        {
          filename = "__gimprovements__/graphics/blank1.png",
          priority = "extra-high",
          width = 1,
          height = 1,
          frame_count = 1,
          shift = {1, 0}
          },
        left_up =
        {
          filename = "__gimprovements__/graphics/blank1.png",
          priority = "extra-high",
          width = 1,
          height = 1,
          frame_count = 1,
          shift = {1, 0}
          },
        right_up =
        {
          filename = "__gimprovements__/graphics/blank1.png",
          priority = "extra-high",
          width = 1,
          height = 1,
          frame_count = 1,
          shift = {1, 0}
          },
        t_down =
        {
          filename = "__gimprovements__/graphics/blank1.png",
          priority = "extra-high",
          width = 1,
          height = 1,
          frame_count = 1,
          shift = {1, 0}
          
          },
        t_up =
        {
          filename = "__gimprovements__/graphics/blank1.png",
          priority = "extra-high",
          width = 1,
          height = 1,
          frame_count = 1,
          shift = {1, 0}
        }
      },
    
      fire    =
        {
          -- down =
          -- {
            -- filename = "__gimprovements__/graphics/entity/thermal-power-station/oil-refinery-fire.png",
            -- priority = "extra-high",
            -- width = 16,
            -- height = 35,
            -- scale = 1.5,
            -- frame_count = 29,
            -- shift = {1, -2.58}
          -- },
          -- left =
          -- {
            -- filename = "__gimprovements__/graphics/entity/thermal-power-station/oil-refinery-fire.png",
            -- priority = "extra-high",
            -- width = 16,
            -- height = 35,
            -- scale = 1.5,
            -- frame_count = 29,
            -- shift = {3, -0.09375}
          -- },
          -- right =
          -- {
            -- filename = "__gimprovements__/graphics/entity/thermal-power-station/oil-refinery-fire.png",
            -- priority = "extra-high",
            -- width = 16,
            -- height = 35,
            -- scale = 1.5,
            -- frame_count = 29,
            -- shift = {6, -0.0625}
          -- }
        },
      burning_cooldown = 1,
    },



    {
      type = "generator",
      name = "burner-generator-power",
      icon = "__gimprovements__/graphics/icons/thermal-power-station.png",
      flags = {"placeable-neutral","player-creation", "placeable-off-grid", "not-on-map"},
      minable = {mining_time = 1, result = "burner-generator"},
      max_health = 300,
      corpse = "big-remnants",
      effectivity = 20,
      fluid_usage_per_tick = 0.01,
      resistances = 
      {
        {
          type = "fire",
          percent = 70
        }
      },
      fast_replaceable_group =  "steam-engine",
      collision_box = {{-2.4, -2.4}, {2.4, 2.4}},
      selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
      selectable_in_game = false,
      fluid_box =
      {
        base_area = 0.1,
        pipe_connections =
        {
         -- { position = {0, 0.8} }
        },
      },
      energy_source =
      {
        type = "electric",
        usage_priority = "secondary-output"
      },
      horizontal_animation =
      {
        filename = "__gimprovements__/graphics/entity/thermal-power-station/tps_sheet.png",
        width = 224,
        height = 224,
        frame_count = 36,
        line_length = 6,
        shift = {1, 0},
        animation_speed = 2
      },
      vertical_animation =
      {
        filename = "__gimprovements__/graphics/entity/thermal-power-station/tps_sheet.png",
        width = 224,
        height = 224,
        frame_count = 36,
        line_length = 6,
        shift = {1, 0},
        animation_speed = 2
      },
      smoke =
      {
        {
          name = "smoke",
          north_position = {0, -2.3},
          east_position = {0, -2.3},
          deviation = {0, 0},
          frequency = 0.001,
          starting_vertical_speed = 0
        }
      },
      working_sound =
      {
        sound =
        {
          filename = "__base__/sound/steam-engine-90bpm.ogg",
          volume = 0.5
        },
        match_speed_to_activity = true,
      },
      min_perceived_performance = 0.25,
      performance_to_sound_speedup = 0.5
    },
  }
)
