require ("prototypes.transport-belt-pictures")

data:extend(
  {
    {
      type = "solar-panel",
      name = "thermosolar-panel",
      icon = "__gimprovements__/graphics/icons/thermosolar-panel.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "thermosolar-panel"},
      max_health = 250,
      corpse = "big-remnants",
      collision_box = {{-3.5, -2.7}, {3.35, 3}},
      selection_box = {{-3.5, -3}, {3.5, 3}},
      energy_source =
      {
        type = "electric",
        usage_priority = "solar"
      },
      picture =
      {
        filename = "__gimprovements__/graphics/entity/thermosolar-panel/thermosolar-panel.png",
        priority = "high",
        --shift = {0, -0.5},
        width = 225,
        height = 182
      },
      production = "300kW"
    },
    ------------------------------------------------------------------------------------
    {
      type = "inserter",
      name = "alien-inserter",
      icon = "__gimprovements__/graphics/icons/alien-inserter.png",  --TODO
      flags = {"placeable-neutral", "placeable-player", "player-creation"},
      minable =
      {
        hardness = 0.2,
        mining_time = 0.5,
        result = "alien-inserter"
      },
      max_health = 50,
      corpse = "small-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 90
        }
      },
      collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
      selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
      pickup_position = {0, -1},
      insert_position = {0, 1.2},
      energy_per_movement = 5000,
      energy_per_rotation = 5000,
      energy_source =
      {
        type = "electric",
        usage_priority = "secondary-input",
        drain = "0.55kW"
      },
      extension_speed = 0.09,
      rotation_speed = 0.065,
      fast_replaceable_group = "inserter",
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
      working_sound =
      {
        match_progress_to_activity = true,
        sound =
        {
          {
            filename = "__base__/sound/inserter-fast-1.ogg",
            volume = 0.75
          },
          {
            filename = "__base__/sound/inserter-fast-2.ogg",
            volume = 0.75
          },
          {
            filename = "__base__/sound/inserter-fast-3.ogg",
            volume = 0.75
          },
          {
            filename = "__base__/sound/inserter-fast-4.ogg",
            volume = 0.75 
          },              
          {               
            filename = "__base__/sound/inserter-fast-5.ogg",
            volume = 0.75
          }
        }
      },
      hand_base_picture =
      {
        filename = "__gimprovements__/graphics/entity/alien-inserter/alien-inserter-hand-base.png",
        priority = "extra-high",
        width = 8,
        height = 34
      },
      hand_closed_picture =
      {
        filename = "__gimprovements__/graphics/entity/alien-inserter/alien-inserter-hand-closed.png",
        priority = "extra-high",
        width = 18,
        height = 41
      },
      hand_open_picture =
      {
        filename = "__gimprovements__/graphics/entity/alien-inserter/alien-inserter-hand-open.png",
        priority = "extra-high",
        width = 18,
        height = 41
      },
      hand_base_shadow =
      {
        filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-base-shadow.png",
        priority = "extra-high",
        width = 8,
        height = 34
      },
      hand_closed_shadow =
      {
        filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-closed-shadow.png",
        priority = "extra-high",
        width = 18,
        height = 41
      },
      hand_open_shadow =
      {
        filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-open-shadow.png",
        priority = "extra-high",
        width = 18,
        height = 41
      },
      platform_picture =
      {
        sheet =
        {
          filename = "__gimprovements__/graphics/entity/alien-inserter/alien-inserter-platform.png",
          priority = "extra-high",
          width = 46,
          height = 46
        }
      }
    },
    {
      type = "accumulator",
      name = "bursting-accumulator",
      icon = "__gimprovements__/graphics/icons/bursting-accumulator.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "bursting-accumulator"},
      max_health = 250,
      corpse = "medium-remnants",
      collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
      selection_box = {{-1, -1}, {1, 1}},
      energy_source =
      {
        type = "electric",
        buffer_capacity = "20MJ",
        usage_priority = "terciary",
        input_flow_limit = "600kW",
        output_flow_limit = "600kW"
      },
      picture =
      {
        filename = "__gimprovements__/graphics/entity/bursting-accumulator/bursting-accumulator.png",
        priority = "extra-high",
        width = 124,
        height = 103,
        shift = {0.7, -0.2}
      },
      charge_animation =
      {
        filename = "__gimprovements__/graphics/entity/bursting-accumulator/bursting-accumulator-charge-animation.png",
        width = 138,
        height = 135,
        line_length = 8,
        frame_count = 24,
        shift = {0.482, -0.638},
        animation_speed = 0.5
      },
      charge_cooldown = 30,
      charge_light = {intensity = 0.3, size = 7},
      discharge_animation =
      {
        filename = "__gimprovements__/graphics/entity/bursting-accumulator/bursting-accumulator-discharge-animation.png",
        width = 147,
        height = 128,
        line_length = 8,
        frame_count = 24,
        shift = {0.395, -0.525},
        animation_speed = 0.5
      },
      discharge_cooldown = 60,
      discharge_light = {intensity = 0.75, size = 8}, --0.7 ; 7
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
      working_sound =
      {
        sound =
        {
          filename = "__base__/sound/accumulator-working.ogg",
          volume = 1
        },
        idle_sound = {
          filename = "__base__/sound/accumulator-idle.ogg",
          volume = 0.4
        },
        max_sounds_per_type = 5
      }
    },
    {
      type = "transport-belt-to-ground",
      name = "alien-transport-belt-to-ground",
      icon = "__gimprovements__/graphics/icons/alien-transport-belt-to-ground.png",
      flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
      minable = {hardness = 0.2, mining_time = 0.65, result = "alien-transport-belt-to-ground"},
      max_health = 80,
      corpse = "small-remnants",
      underground_sprite =
      {
        filename = "__core__/graphics/arrows/underground-lines.png",
        priority = "high",
        width = 32,
        height = 32,
        x = 32
      },
      resistances =
      {
        {
          type = "fire",
          percent = 65
        }
      },
      collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
      selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
      animation_speed_coefficient = 32,
      belt_horizontal = express_belt_horizontal, -- specified in transport-belt-pictures.lua
      belt_vertical =   express_belt_vertical,
      ending_top =      express_belt_ending_top,
      ending_bottom =   express_belt_ending_bottom,
      ending_side =     express_belt_ending_side,
      starting_top =    express_belt_starting_top,
      starting_bottom = express_belt_starting_bottom,
      starting_side =   express_belt_starting_side,
      fast_replaceable_group = "transport-belt-to-ground",
      speed = 0.135,
      structure =
      {
        direction_in =
        {
          sheet =
          {
            filename = "__gimprovements__/graphics/entity/alien-transport-belt-to-ground/alien-transport-belt-to-ground-structure.png",
            priority = "extra-high",
            shift = {0.26, 0},
            width = 57,
            height = 43,
            y = 43
          }
        },
        direction_out =
        {
          sheet =
          {
            filename = "__gimprovements__/graphics/entity/alien-transport-belt-to-ground/alien-transport-belt-to-ground-structure.png",
            priority = "extra-high",
            shift = {0.26, 0},
            width = 57,
            height = 43
          }
        }
      },
      ending_patch = ending_patch_prototype
    },
    {
      type = "transport-belt",
      name = "alien-transport-belt",
      icon = "__gimprovements__/graphics/icons/alien-transport-belt.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.35, result = "alien-transport-belt"},
      max_health = 65,
      corpse = "small-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 55
        }
      },
      collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
      selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
      working_sound =
      {
        sound =
        {
          filename = "__base__/sound/express-transport-belt.ogg",
          volume = 0.4
        },
        max_sounds_per_type = 3
      },
      animation_speed_coefficient = 32,
      animations =
      {
        filename = "__gimprovements__/graphics/entity/alien-transport-belt/alien-transport-belt.png",
        priority = "extra-high",
        width = 40,
        height = 40,
        frame_count = 32,
        direction_count = 12
      },
      --belt_horizontal = alien_belt_horizontal, -- specified in transport-belt-pictures.lua
      --belt_vertical =   alien_belt_vertical,
      --ending_top =      alien_belt_ending_top,
      --ending_bottom =   alien_belt_ending_bottom,
      --ending_side =     alien_belt_ending_side,
      --starting_top =    alien_belt_starting_top,
      --starting_bottom = alien_belt_starting_bottom,
      --starting_side =   alien_belt_starting_side,
      
      belt_horizontal = express_belt_horizontal, -- specified in transport-belt-pictures.lua
      belt_vertical =   express_belt_vertical,
      ending_top =      express_belt_ending_top,
      ending_bottom =   express_belt_ending_bottom,
      ending_side =     express_belt_ending_side,
      starting_top =    express_belt_starting_top,
      starting_bottom = express_belt_starting_bottom,
      starting_side =   express_belt_starting_side,
      ending_patch = ending_patch_prototype,
      ending_patch = ending_patch_prototype,
      fast_replaceable_group = "transport-belt",
      speed = 0.135
      --speed = 0.09375
    },
    {
      type = "splitter",
      name = "alien-splitter",
      icon = "__gimprovements__/graphics/icons/alien-splitter.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "alien-splitter"},
      max_health = 100,
      corpse = "medium-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 65
        }
      },
      collision_box = {{-0.9, -0.1}, {0.9, 0.1}},
      selection_box = {{-0.9, -0.5}, {0.9, 0.5}},
      animation_speed_coefficient = 32,
      structure_animation_speed_coefficient = 1.2,
      structure_animation_movement_cooldown = 10,
      belt_horizontal = express_belt_horizontal, -- specified in transport-belt-pictures.lua
      belt_vertical =   express_belt_vertical,
      ending_top =      express_belt_ending_top,
      ending_bottom =   express_belt_ending_bottom,
      ending_side =     express_belt_ending_side,
      starting_top =    express_belt_starting_top,
      starting_bottom = express_belt_starting_bottom,
      starting_side =   express_belt_starting_side,
      ending_patch = ending_patch_prototype,
      fast_replaceable_group = "splitter",
      speed = 0.135,
      structure =
      {
        north =
        {
          filename = "__gimprovements__/graphics/entity/alien-splitter/alien-splitter-north.png",
          frame_count = 32,
          line_length = 16,
          priority = "extra-high",
          width = 80,
          height = 35,
          shift = {0.225, 0}
        },
        east =
        {
          filename = "__gimprovements__/graphics/entity/alien-splitter/alien-splitter-east.png",
          frame_count = 32,
          line_length = 16,
          priority = "extra-high",
          width = 46,
          height = 81,
          shift = {0.075, 0}
        },
        south =
        {
          filename = "__gimprovements__/graphics/entity/alien-splitter/alien-splitter-south.png",
          frame_count = 32,
          line_length = 16,
          priority = "extra-high",
          width = 82,
          height = 36,
          shift = {0.075, 0}
        },
        west =
        {
          filename = "__gimprovements__/graphics/entity/alien-splitter/alien-splitter-west.png",
          frame_count = 32,
          line_length = 16,
          priority = "extra-high",
          width = 47,
          height = 79,
          shift = {0.25, 0.05}
        },
      }
    }
  }
)