require ("prototypes.alien-transport-belt-pictures")

data:extend(
  {
    {
      type = "solar-panel",
      name = "thermosolar-panel",
      icon = "__gimprovements__/graphics/icons/thermosolar-panel.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "thermosolar-panel"},
      max_health = 250,
      corpse = "big-remnants",
      collision_box = {{-3.5, -2.7}, {3.35, 3}},
      selection_box = {{-3.5, -3}, {3.5, 3}},
      energy_source =
      {
        type = "electric",
        usage_priority = "solar"
      },
      picture =
      {
        filename = "__gimprovements__/graphics/entity/thermosolar-panel/thermosolar-panel.png",
        priority = "high",
        --shift = {0, -0.5},
        width = 225,
        height = 182
      },
      production = "300kW"
    },
    ------------------------------------------------------------------------------------
    {
      type = "inserter",
      name = "alien-inserter",
      icon = "__gimprovements__/graphics/icons/alien-inserter.png",  --TODO
      flags = {"placeable-neutral", "placeable-player", "player-creation"},
      minable =
      {
        hardness = 0.2,
        mining_time = 0.5,
        result = "alien-inserter"
      },
      max_health = 50,
      corpse = "small-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 90
        }
      },
      collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
      selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
      pickup_position = {0, -1},
      insert_position = {0, 1.2},
      energy_per_movement = 5000,
      energy_per_rotation = 5000,
      energy_source =
      {
        type = "electric",
        usage_priority = "secondary-input",
        drain = "0.55kW"
      },
      extension_speed = 0.09,
      rotation_speed = 0.065,
      fast_replaceable_group = "inserter",
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
      working_sound =
      {
        match_progress_to_activity = true,
        sound =
        {
          {
            filename = "__base__/sound/inserter-fast-1.ogg",
            volume = 0.75
          },
          {
            filename = "__base__/sound/inserter-fast-2.ogg",
            volume = 0.75
          },
          {
            filename = "__base__/sound/inserter-fast-3.ogg",
            volume = 0.75
          },
          {
            filename = "__base__/sound/inserter-fast-4.ogg",
            volume = 0.75 
          },              
          {               
            filename = "__base__/sound/inserter-fast-5.ogg",
            volume = 0.75
          }
        }
      },
      hand_base_picture =
      {
        filename = "__gimprovements__/graphics/entity/alien-inserter/alien-inserter-hand-base.png",
        priority = "extra-high",
        width = 8,
        height = 34
      },
      hand_closed_picture =
      {
        filename = "__gimprovements__/graphics/entity/alien-inserter/alien-inserter-hand-closed.png",
        priority = "extra-high",
        width = 18,
        height = 41
      },
      hand_open_picture =
      {
        filename = "__gimprovements__/graphics/entity/alien-inserter/alien-inserter-hand-open.png",
        priority = "extra-high",
        width = 18,
        height = 41
      },
      hand_base_shadow =
      {
        filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-base-shadow.png",
        priority = "extra-high",
        width = 8,
        height = 34
      },
      hand_closed_shadow =
      {
        filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-closed-shadow.png",
        priority = "extra-high",
        width = 18,
        height = 41
      },
      hand_open_shadow =
      {
        filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-open-shadow.png",
        priority = "extra-high",
        width = 18,
        height = 41
      },
      platform_picture =
      {
        sheet =
        {
          filename = "__gimprovements__/graphics/entity/alien-inserter/alien-inserter-platform.png",
          priority = "extra-high",
          width = 46,
          height = 46
        }
      }
    },
    {
      type = "accumulator",
      name = "bursting-accumulator",
      icon = "__gimprovements__/graphics/icons/bursting-accumulator.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "bursting-accumulator"},
      max_health = 250,
      corpse = "medium-remnants",
      collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
      selection_box = {{-1, -1}, {1, 1}},
      energy_source =
      {
        type = "electric",
        buffer_capacity = "20MJ",
        usage_priority = "terciary",
        input_flow_limit = "600kW",
        output_flow_limit = "600kW"
      },
      picture =
      {
        filename = "__gimprovements__/graphics/entity/bursting-accumulator/bursting-accumulator.png",
        priority = "extra-high",
        width = 124,
        height = 103,
        shift = {0.7, -0.2}
      },
      charge_animation =
      {
        filename = "__gimprovements__/graphics/entity/bursting-accumulator/bursting-accumulator-charge-animation.png",
        width = 138,
        height = 135,
        line_length = 8,
        frame_count = 24,
        shift = {0.482, -0.638},
        animation_speed = 0.5
      },
      charge_cooldown = 30,
      charge_light = {intensity = 0.3, size = 7},
      discharge_animation =
      {
        filename = "__gimprovements__/graphics/entity/bursting-accumulator/bursting-accumulator-discharge-animation.png",
        width = 147,
        height = 128,
        line_length = 8,
        frame_count = 24,
        shift = {0.395, -0.525},
        animation_speed = 0.5
      },
      discharge_cooldown = 60,
      discharge_light = {intensity = 0.75, size = 8}, --0.7 ; 7
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
      working_sound =
      {
        sound =
        {
          filename = "__base__/sound/accumulator-working.ogg",
          volume = 1
        },
        idle_sound = {
          filename = "__base__/sound/accumulator-idle.ogg",
          volume = 0.4
        },
        max_sounds_per_type = 5
      }
    },
    {
      type = "underground-belt",
      name = "alien-transport-belt-to-ground",
      icon = "__gimprovements__/graphics/icons/alien-transport-belt-to-ground.png",
      flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
      minable = {hardness = 0.2, mining_time = 0.65, result = "alien-transport-belt-to-ground"},
      max_health = 80,
      corpse = "small-remnants",
      underground_sprite =
      {
        filename = "__core__/graphics/arrows/underground-lines.png",
        priority = "high",
        width = 32,
        height = 32,
        x = 32
      },
      resistances =
      {
        {
          type = "fire",
          percent = 65
        }
      },
      collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
      selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
      animation_speed_coefficient = 32,
      belt_horizontal = alien_belt_horizontal, -- specified in transport-belt-pictures.lua
      belt_vertical =   alien_belt_vertical,
      ending_top =      alien_belt_ending_top,
      ending_bottom =   alien_belt_ending_bottom,
      ending_side =     alien_belt_ending_side,
      starting_top =    alien_belt_starting_top,
      starting_bottom = alien_belt_starting_bottom,
      starting_side =   alien_belt_starting_side,
      fast_replaceable_group = "transport-belt-to-ground",
      speed = 0.135,
      structure =
      {
        direction_in =
        {
          sheet =
          {
            filename = "__gimprovements__/graphics/entity/alien-transport-belt-to-ground/alien-transport-belt-to-ground-structure.png",
            priority = "extra-high",
            shift = {0.26, 0},
            width = 57,
            height = 43,
            y = 43
          }
        },
        direction_out =
        {
          sheet =
          {
            filename = "__gimprovements__/graphics/entity/alien-transport-belt-to-ground/alien-transport-belt-to-ground-structure.png",
            priority = "extra-high",
            shift = {0.26, 0},
            width = 57,
            height = 43
          }
        }
      },
      ending_patch = ending_patch_prototype
    },
    {
      type = "transport-belt",
      name = "alien-transport-belt",
      icon = "__gimprovements__/graphics/icons/alien-transport-belt.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.35, result = "alien-transport-belt"},
      max_health = 65,
      corpse = "small-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 55
        }
      },
      collision_box = {{-0.4, -0.4}, {0.4, 0.4}},
      selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
      working_sound =
      {
        sound =
        {
          filename = "__base__/sound/express-transport-belt.ogg",
          volume = 0.4
        },
        max_sounds_per_type = 3
      },
      animation_speed_coefficient = 32,
      animations =
      {
        filename = "__gimprovements__/graphics/entity/alien-transport-belt/alien-transport-belt.png",
        priority = "extra-high",
        width = 40,
        height = 40,
        frame_count = 32,
        direction_count = 12
      },
      belt_horizontal = alien_belt_horizontal, -- specified in transport-belt-pictures.lua
      belt_vertical =   alien_belt_vertical,
      ending_top =      alien_belt_ending_top,
      ending_bottom =   alien_belt_ending_bottom,
      ending_side =     alien_belt_ending_side,
      starting_top =    alien_belt_starting_top,
      starting_bottom = alien_belt_starting_bottom,
      starting_side =   alien_belt_starting_side,

      ending_patch = ending_patch_prototype,
      ending_patch = ending_patch_prototype,
      fast_replaceable_group = "transport-belt",
      speed = 0.135,
      --speed = 0.09375
      connector_frame_sprites = transport_belt_connector_frame_sprites,
      circuit_connector_sprites = transport_belt_circuit_connector_sprites,
      circuit_wire_connection_point = transport_belt_circuit_wire_connection_point,
      circuit_wire_max_distance = transport_belt_circuit_wire_max_distance
    },
    --[[
    {
      type = "loader",
      name = "alien-loader",
      icon = "__base__/graphics/icons/loader.png",
      flags = {"placeable-neutral", "player-creation", "fast-replaceable-no-build-while-moving"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "alien-loader"},
      max_health = 70,
      filter_count = 5,
      corpse = "small-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 60
        }
      },
      collision_box = {{-0.4, -0.9}, {0.4, 0.9}},
      selection_box = {{-0.5, -1}, {0.5, 1}},
      animation_speed_coefficient = 32,
      belt_horizontal = alien_belt_horizontal,
      belt_vertical = alien_belt_vertical,
      ending_top = alien_belt_ending_top,
      ending_bottom = alien_belt_ending_bottom,
      ending_side = alien_belt_ending_side,
      starting_top = alien_belt_starting_top,
      starting_bottom = alien_belt_starting_bottom,
      starting_side = alien_belt_starting_side,
      fast_replaceable_group = "loader",
      speed = 0.135,
      structure =
      {
        direction_in =
        {
          sheet =
          {
            filename = "__base__/graphics/entity/loader/loader-structure.png",
            priority = "extra-high",
            width = 64,
            height = 64
          }
        },
        direction_out =
        {
          sheet =
          {
            filename = "__base__/graphics/entity/loader/loader-structure.png",
            priority = "extra-high",
            width = 64,
            height = 64,
            y = 64
          }
        }
      },
      ending_patch = ending_patch_prototype
    },
    ]]--
    {
      type = "splitter",
      name = "alien-splitter",
      icon = "__gimprovements__/graphics/icons/alien-splitter.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "alien-splitter"},
      max_health = 100,
      corpse = "medium-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 65
        }
      },
      collision_box = {{-0.9, -0.1}, {0.9, 0.1}},
      selection_box = {{-0.9, -0.5}, {0.9, 0.5}},
      animation_speed_coefficient = 32,
      structure_animation_speed_coefficient = 1.2,
      structure_animation_movement_cooldown = 10,
      belt_horizontal = alien_belt_horizontal, -- specified in transport-belt-pictures.lua
      belt_vertical =   alien_belt_vertical,
      ending_top =      alien_belt_ending_top,
      ending_bottom =   alien_belt_ending_bottom,
      ending_side =     alien_belt_ending_side,
      starting_top =    alien_belt_starting_top,
      starting_bottom = alien_belt_starting_bottom,
      starting_side =   alien_belt_starting_side,
      ending_patch = ending_patch_prototype,
      fast_replaceable_group = "splitter",
      speed = 0.135,
      structure =
      {
        north =
        {
          filename = "__gimprovements__/graphics/entity/alien-splitter/alien-splitter-north.png",
          frame_count = 32,
          line_length = 16,
          priority = "extra-high",
          width = 80,
          height = 35,
          shift = {0.225, 0}
        },
        east =
        {
          filename = "__gimprovements__/graphics/entity/alien-splitter/alien-splitter-east.png",
          frame_count = 32,
          line_length = 16,
          priority = "extra-high",
          width = 46,
          height = 81,
          shift = {0.075, 0}
        },
        south =
        {
          filename = "__gimprovements__/graphics/entity/alien-splitter/alien-splitter-south.png",
          frame_count = 32,
          line_length = 16,
          priority = "extra-high",
          width = 82,
          height = 36,
          shift = {0.075, 0}
        },
        west =
        {
          filename = "__gimprovements__/graphics/entity/alien-splitter/alien-splitter-west.png",
          frame_count = 32,
          line_length = 16,
          priority = "extra-high",
          width = 47,
          height = 79,
          shift = {0.25, 0.05}
        },
      }
    },
    {
      type = "cargo-wagon",
      name = "cargo-wagon-2",
      icon = "__base__/graphics/icons/cargo-wagon.png",
      flags = {"placeable-neutral", "player-creation", "placeable-off-grid", "not-on-map"},
      inventory_size = 50,
      minable = {mining_time = 1, result = "cargo-wagon-2"},
      mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg"},
      max_health = 750,
      corpse = "medium-remnants",
      dying_explosion = "medium-explosion",
      collision_box = {{-0.6, -2.4}, {0.6, 2.4}},
      selection_box = {{-0.7, -2.5}, {1, 2.5}},
      weight = 1000,
      max_speed = 1.35,
      braking_force = 3,
      friction_force = 0.0015,
      air_resistance = 0.002,
      connection_distance = 3.3,
      joint_distance = 4,
      energy_per_hit_point = 5,
      resistances =
      {
        {
          type = "fire",
          decrease = 15,
          percent = 50
        },
        {
          type = "physical",
          decrease = 15,
          percent = 30
        },
        {
          type = "impact",
          decrease = 50,
          percent = 60
        },
        {
          type = "explosion",
          decrease = 15,
          percent = 30
        },
        {
          type = "acid",
          decrease = 10,
          percent = 20
        }
      },
      back_light = rolling_stock_back_light(),
      stand_by_light = rolling_stock_stand_by_light(),
      pictures =
      {
        priority = "very-low",
        width = 285,
        height = 218,
        back_equals_front = true,
        direction_count = 128,
        filenames =
        {
          "__gimprovements__/graphics/entity/cargo-wagon-2/cargo-wagon-spritesheet-1.png",
          "__gimprovements__/graphics/entity/cargo-wagon-2/cargo-wagon-spritesheet-2.png",
          "__gimprovements__/graphics/entity/cargo-wagon-2/cargo-wagon-spritesheet-3.png",
          "__gimprovements__/graphics/entity/cargo-wagon-2/cargo-wagon-spritesheet-4.png"
        },
        line_length = 4,
        lines_per_file = 8,
        shift = {0.7, -0.45}
      },
      wheels = standard_train_wheels,
      rail_category = "regular",
      drive_over_tie_trigger = drive_over_tie(),
      tie_distance = 50,
      working_sound =
      {
        sound =
        {
          filename = "__base__/sound/train-wheels.ogg",
          volume = 0.6
        },
        match_volume_to_activity = true,
      },
      crash_trigger = crash_trigger(),
      open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
      close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
      sound_minimum_speed = 0.5;
      vehicle_impact_sound =  { filename = "__base__/sound/car-wood-impact.ogg", volume = 1.0 },
    },
    {
      type = "lab",
      name = "lab",
      icon = "__base__/graphics/icons/lab.png",
      flags = {"placeable-player", "player-creation"},
      minable = {mining_time = 1, result = "lab"},
      max_health = 150,
      corpse = "big-remnants",
      dying_explosion = "medium-explosion",
      collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
      selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
      light = {intensity = 0.75, size = 8},
      on_animation =
      {
        filename = "__base__/graphics/entity/lab/lab.png",
        width = 113,
        height = 91,
        frame_count = 33,
        line_length = 11,
        animation_speed = 1 / 3,
        shift = {0.2, 0.15}
      },
      off_animation =
      {
        filename = "__base__/graphics/entity/lab/lab.png",
        width = 113,
        height = 91,
        frame_count = 1,
        shift = {0.2, 0.15}
      },
      working_sound =
      {
        sound =
        {
          filename = "__base__/sound/lab.ogg",
          volume = 0.7
        },
        apparent_volume = 1
      },
      energy_source =
      {
        type = "electric",
        usage_priority = "secondary-input"
      },
      energy_usage = "60kW",
      researching_speed = 1,
      inputs =
      {
        "science-pack-1",
        "science-pack-2",
        "science-pack-3",
        "alien-science-pack",
        "science-pack-5",
      },
      module_specification =
      {
        module_slots = 2,
        max_entity_info_module_icons_per_row = 3,
        max_entity_info_module_icon_rows = 1,
        module_info_icon_shift = {0, 0.9}
      }
    },
    {
      type = "electric-pole",
      name = "wireless-electric-pole",
      icon = "__gimprovements__/graphics/icons/wireless-electric-pole.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "wireless-electric-pole"},
      max_health = 250,
      corpse = "medium-remnants",
      resistances =
      {
        {
          type = "fire",
          percent = 100
        }
      },
      collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
      selection_box = {{-1, -1}, {1, 1}},
      drawing_box = {{-1, -3}, {1, 0.5}},
      maximum_wire_distance = 80,
      supply_area_distance = 50,
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
      pictures =
      {
        filename = "__gimprovements__/graphics/entity/wireless-eletric-pole/wireless-eletric-pole.png",
        priority = "high",
        width = 192,
        height = 192,
        direction_count = 1, --4
        shift = {2, -2}
      },
      connection_points =
      {
        {
          shadow =
          {
            copper = {3, 0.3},
            green = {1.8, 0},
            red = {3.6, 0}
          },
          wire =
          {
            copper = {0, -3.9},
            green = {-0.6,-3.1},
            red = {0.6,-3.1}
          }
        }
      },
      radius_visualisation_picture =
      {
        filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
        width = 12,
        height = 12,
        priority = "extra-high-no-scale"
      },
    },
    {
      type = "lamp",
      name = "big-lamp",
      icon = "__gimprovements__/graphics/icons/big-lamp.png",
      flags = {"placeable-neutral", "player-creation"},
      minable = {hardness = 0.2, mining_time = 0.5, result = "big-lamp"},
      max_health = 100,
      corpse = "small-remnants",
      collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
      selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
      energy_source =
      {
        type = "electric",
        usage_priority = "secondary-input"
      },
      energy_usage_per_tick = "20KW",
      light = {intensity = 0.9, size = 80},
      picture_off =
      {
        filename = "__gimprovements__/graphics/entity/big-lamp/big-lamp-off.png",
        priority = "high",
        width = 62,
        height = 48,
        frame_count = 1,
        axially_symmetrical = false,
        direction_count = 1,
        shift = {0.49, -0.39},
      },
      picture_on =
      {
        filename = "__gimprovements__/graphics/entity/big-lamp/big-lamp-on.png",
        priority = "high",
        width = 32,
        height = 48,
        frame_count = 1,
        axially_symmetrical = false,
        direction_count = 1,
        shift = {-0.0375, -0.01875},
      },

      circuit_wire_connection_point =
      {
        shadow =
        {
          red = {0.759375, -0.096875},
          green = {0.759375, -0.096875},
        },
        wire =
        {
          red = {0.30625, -0.39375},
          green = {0.30625, -0.39375},
        }
      },

      circuit_wire_max_distance = 10
    },
  }
)