data:extend(
  {
    {
      type = "recipe",
      name = "thermosolar-panel",
      energy_required = 10,
      enabled = false,
      ingredients =
      { 
        {"solar-panel", 4},
        {"steel-plate", 1},
        {"advanced-circuit", 3},
        {"copper-plate", 10}
      },
      result = "thermosolar-panel"
    },
    {
      type = "recipe",
      name = "alien-inserter",
      enabled = false,
      ingredients =
      {
        {"advanced-circuit", 1},
        {"alien-artifact", 10},
        {"fast-inserter", 1}
      },
      result = "alien-inserter"
    },
    {
      type = "recipe",
      name = "bursting-accumulator",
      category = "crafting-with-fluid",
      energy_required = 10,
      enabled = false,
      ingredients =
      {
        {"accumulator", 1},
        {"battery", 15},
        {"alien-artifact", 5},
        {"advanced-circuit", 1},
        {type="fluid", name="alien-extract", amount=2.5},
      },
      result = "bursting-accumulator"
    },
    -- EQUIP --
    {
      type = "recipe",
      name = "battery-alien-charge-equipment",
      enabled = false,
      energy_required = 10,
      ingredients =
      {
        {"battery-mk2-equipment", 5},
        {"alien-cpu", 20},
        {"alien-artifact", 25}
      },
      result = "battery-alien-charge-equipment"
    },
  -- EQUIP END --
    {
      type = "recipe",
      name = "alien-cpu",
      category = "crafting-with-fluid",
      enabled = false,
      energy_required = 20,
      ingredients =
      {
        {"advanced-circuit", 10},
        {"processing-unit", 2},
        {type="fluid", name = "alien-extract", amount = 4}
      },
      result = "alien-cpu"
    },
  -- FLUID --
    {
      type = "recipe",
      name = "alien-extract",
      category = "chemistry",
      energy_required = 3,
      enabled = false,
      ingredients =
      {
        {type="item", name="alien-artifact", amount=6},
        {type="fluid", name="light-oil", amount=1},
        {type="fluid", name="water", amount=5}
      },
      results=
      {
        {type="fluid", name="alien-extract", amount=5}
      },
      --icon = "__gimprovements__/graphics/icons/alien-extract.png",
      subgroup = "fluid-recipes",
      --order = "b[fluid-chemistry]-c[alien-extract]"
    },
  -- FLUID END --
    {
      type = "recipe",
      name = "alien-transport-belt",
      category = "crafting-with-fluid",
      enabled = false,
      ingredients =
      {
        {"iron-gear-wheel", 5},
        {"express-transport-belt", 1},
        {type="fluid", name="alien-extract", amount=0.8},
      },
      result = "alien-transport-belt"
    },
    {
      type = "recipe",
      name = "alien-transport-belt-to-ground",
      enabled = false,
      ingredients =
      {
        {"iron-gear-wheel", 50},
        {"express-underground-belt", 2},
        {"alien-artifact", 6}
      },
      result_count = 2,
      result = "alien-transport-belt-to-ground"
    },
    {
      type = "recipe",
      name = "alien-splitter",
      category = "crafting-with-fluid",
      enabled = false,
      energy_required = 2,
      ingredients =
      {
        {"express-splitter", 1},
        {"iron-gear-wheel", 15},
        {"alien-cpu", 2},
        {type="fluid", name="alien-extract", amount=4}
      },
      result = "alien-splitter"
    },
    {
      type = "recipe",
      name = "speed-module-4",
      enabled = false,
      ingredients =
      {
        {"speed-module-3", 4},
        {"alien-cpu", 6},
        {"processing-unit", 10},
      },
      energy_required = 120,
      result = "speed-module-4"
    },
    ------------- EDIT EXISTING -----------------
    {
      type = "recipe",
      name = "rocket-control-unit",
      energy_required = 30,
      enabled = false,
      category = "crafting",
      ingredients =
      {
        {"alien-cpu", 1},
        {"speed-module", 2}
      },
      result= "rocket-control-unit"
    },
    {
      type = "recipe",
      name = "satellite",
      energy_required = 3,
      enabled = false,
      category = "crafting",
      ingredients =
      {
        {"low-density-structure", 100},
        {"solar-panel", 100},
        {"bursting-accumulator", 100},
        {"radar", 5},
        {"alien-cpu", 100},
        {"rocket-fuel", 50}
      },
      result= "satellite"
    },
    {
      type = "recipe",
      name = "rocket-silo",
      enabled = false,
      ingredients =
      {
        {"steel-plate", 1000},
        {"concrete", 1000},
        {"pipe", 100},
        {"alien-cpu", 200},
        {"electric-engine-unit", 200}
      },
      energy_required = 30,
      result = "rocket-silo"
    },
    {
      type = "recipe",
      name = "land-mine",
      enabled = false,
      energy_required = 5,
      ingredients =
      {
        {"steel-plate", 2},
        {"explosives", 2}
      },
      result = "land-mine",
      result_count = 3
    },
    ---------------- END EDIT EXISTING -----------------
    {
      type = "recipe",
      name = "cargo-wagon-2",
      enabled = false,
      ingredients =
      {
        {"iron-gear-wheel", 20},
        {"iron-plate", 30},
        {"steel-plate", 35},
        {"advanced-circuit", 5}
      },
      result = "cargo-wagon-2"
    },
    {
      type = "recipe",
      name = "science-pack-5",
      enabled = false,
      energy_required = 15,
      ingredients =
      {
        {"science-pack-1", 3},
        {"science-pack-2", 3},
        {"science-pack-3", 3},
        {"alien-science-pack", 3},
        {"alien-cpu", 1}
      },
      result = "science-pack-5",
      result_count = 3
    },
    {
      type = "recipe",
      name = "wireless-electric-pole",
      enabled = false,
      ingredients =
      {
        {"steel-plate", 20},
        {"copper-plate", 20},
        {"alien-cpu", 1}
      },
      result = "wireless-electric-pole"
    },
    {
      type = "recipe",
      name = "big-lamp",
      enabled = false,
      ingredients =
      {
        {"electronic-circuit", 4},
        {"iron-stick", 6},
        {"iron-plate", 1},
        {"steel-plate", 1}
      },
      result = "big-lamp"
    },
  }
)