data:extend({
    {
      type = "technology",
      name = "energetics",
      icon = "__gimprovements__/graphics/technology/energetics.png",
      prerequisites = {"solar-energy", "oil-processing", "electric-energy-distribution-2", "electric-energy-accumulators-1"},
      effects =
      {
        {
          type = "unlock-recipe",
          recipe = "burner-generator"
        },
        {
          type = "unlock-recipe",
          recipe = "thermosolar-panel"
        }
      },
      unit =
      {
        count = 200,
        ingredients = {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1},
          {"alien-science-pack", 1},
        },
        time = 45
      },
      order = "f-a"
    },
    {
      type = "technology",
      name = "logistics-4",
      icon = "__base__/graphics/technology/logistics.png",
      prerequisites = {"logistics-3", "alien-technology-2"},
      effects =
      {
        {
          type = "unlock-recipe",
          recipe = "alien-inserter"
        },
        {
          type = "unlock-recipe",
          recipe = "alien-transport-belt"
        },
        {
          type = "unlock-recipe",
          recipe = "alien-transport-belt-to-ground"
        },
        {
          type = "unlock-recipe",
          recipe = "alien-splitter"
        },
        {
          type = "unlock-recipe",
          recipe = "cargo-wagon-2"
        }
      },
      unit =
      {
        count = 150,
        ingredients = {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1},
          {"alien-science-pack", 1},
        },
        time = 20
      },
      order = "a-f-d",
    },
    {
      type = "technology",
      name="crafting-speed-upgrade-1",
      icon = "__gimprovements__/graphics/technology/crafting-speed-research.png",
      unit =
      {
        count = 200,
        ingredients =
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1}
        },
        time = 45
      },
      order="c-k-f-a",
    },
    {
      type = "technology",
      name="crafting-speed-upgrade-2",
      icon = "__gimprovements__/graphics/technology/crafting-speed-research.png",
      prerequisites = {"crafting-speed-upgrade-1"},
      unit =
      {
        count = 350,
        ingredients =
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1}
        },
        time = 50
      },
      order="c-k-f-b",
    upgrade = "true",
    },
    {
      type = "technology",
      name="crafting-speed-upgrade-3",
      icon = "__gimprovements__/graphics/technology/crafting-speed-research.png",
      prerequisites = {"crafting-speed-upgrade-2"},
      unit =
      {
        count = 450,
        ingredients =
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1},
          {"alien-science-pack", 2}
        },
        time = 60
      },
      order="c-k-f-c",
      upgrade = "true",
    },
    {
      type = "technology",
      name="crafting-speed-upgrade-4",
      icon = "__gimprovements__/graphics/technology/crafting-speed-research.png",
      prerequisites = {"crafting-speed-upgrade-3"},
      unit =
      {
        count = 650,
        ingredients =
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1},
          {"alien-science-pack", 1}
        },
        time = 60
      },
      order="c-k-f-d",
      upgrade = "true"
    },
    {
      type = "technology",
      name = "battery-2",
      icon = "__base__/graphics/technology/battery.png",
      prerequisites = {"electric-energy-accumulators-1", "battery-mk2-equipment"},
      unit =
      {
        count = 400,
        ingredients =
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1},
          {"alien-science-pack", 1}
        },
        time = 25
      },
      effects =
      {
        {
          type = "unlock-recipe",
          recipe = "bursting-accumulator"
        },
        {
          type = "unlock-recipe",
          recipe = "battery-alien-charge-equipment"
        }
      },
      order = "b-c-a",
      upgrade= "true"
    },
    {
      type = "technology",
      name = "alien-technology-2",
      icon = "__base__/graphics/technology/alien-technology.png",
      effects =
      {
        {
          type = "unlock-recipe",
          recipe = "alien-cpu"
        },
        {
          type = "unlock-recipe",
          recipe = "alien-extract"
        }
      },
      prerequisites = {"alien-technology"},
      unit =
      {
        count = 600,
        ingredients =
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1},
          {"alien-science-pack", 2}
        },
        time = 30
      },
      order = "e-f-a",
      upgrade = "true"
    },
    {
      type = "technology",
      name = "speed-module-4",
      icon = "__base__/graphics/technology/speed-module.png",
      effects =
      {
        {
          type = "unlock-recipe",
          recipe = "speed-module-4"
        }
      },
      prerequisites = {"speed-module-3"},
      unit =
      {
        count = 75,
        ingredients =
        {
          {"science-pack-1", 10},
          {"science-pack-2", 10},
          {"science-pack-3", 10},
          {"alien-science-pack", 10},
          {"science-pack-5", 1}
        },
        time = 75
      },
      upgrade = true,
      order = "i-c-e"
    },
    {
      type = "technology",
      name = "capacity-lab",
      icon = "__gimprovements__/graphics/capacity-lab.png",
      effects =
      {
        {
          type = "unlock-recipe",
          recipe = "science-pack-5"
        },
        {
          type = "laboratory-speed",
          modifier = 0.6
        }
      },
      prerequisites = {"alien-technology-2"},
      unit =
      {
        count = 350,
        ingredients =
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1},
          {"alien-science-pack", 1}
        },
        time = 75
      },
      order = "c-n"
    },
    {
      type = "technology",
      name = "toolbelt-2",
      icon = "__base__/graphics/technology/toolbelt.png",
      effects =
      {
        {
          type = "num-quick-bars",
          modifier = 1
        }
      },
      unit =
      {
        count = 200,
        ingredients =
        {
          {"science-pack-1", 2},
          {"science-pack-2", 2},
          {"science-pack-3", 2},
          {"alien-science-pack", 2},
          {"science-pack-5", 1},
        },
        time = 30
      },
      order = "c-k-m-a"
    },
    {
      type = "technology",
      name = "electric-energy-distribution-2",
      icon = "__base__/graphics/technology/electric-energy-distribution.png",
      effects =
      {
        {
          type = "unlock-recipe",
          recipe = "substation"
        },
        {
          type = "unlock-recipe",
          recipe = "big-lamp"
        }
      },
      prerequisites = {"electric-energy-distribution-1"},
      unit =
      {
        count = 100,
        ingredients =
        {
          {"science-pack-1", 1},
          {"science-pack-2", 1},
          {"science-pack-3", 1}
        },
        time = 45
      },
      order = "c-e-c",
    },
    {
      type = "technology",
      name = "electric-energy-distribution-3",
      icon = "__base__/graphics/technology/electric-energy-distribution.png",
      effects =
      {
        {
          type = "unlock-recipe",
          recipe = "wireless-electric-pole"
        }
      },
      prerequisites = {"electric-energy-distribution-2"},
      unit =
      {
        count = 300,
        ingredients =
        {
          {"science-pack-1", 2},
          {"science-pack-2", 2},
          {"science-pack-3", 2},
          {"alien-science-pack", 2},
          {"science-pack-5", 1}
        },
        time = 45
      },
      order = "c-e-d",
    }
  }
)