require ("prototypes.laser-sounds")

data:extend
(
  {
    {
      type = "energy-shield-equipment",
      name = "alien-energy-shield-equipment",
      sprite =
      {
        filename = "__gimprovements__/graphics/equipment/alien-energy-shield-equipment.png",
        width = 64,
        height = 64,
        priority = "medium"
      },
      shape =
      {
        width = 2,
        height = 2,
        type = "full"
      },
      max_shield_value = 400,
      energy_source =
      {
        type = "electric",
        buffer_capacity = "48kJ",
        input_flow_limit = "72kW",
        usage_priority = "primary-input"
      },
      energy_per_shield = "4kJ"
    },
    {
      type = "generator-equipment",
      name = "alien-fusion-reactor-equipment",
      sprite =
      {
        filename = "__gimprovements__/graphics/equipment/alien-fusion-reactor-equipment.png",
        width = 128,
        height = 128,
        priority = "medium"
      },
      shape =
      {
        width = 4,
        height = 4,
        type = "full"
      },
      energy_source =
      {
        type = "electric",
        usage_priority = "primary-output"
      },
      power = "250kW"
    },
    {
      type = "active-defense-equipment",
      name = "laser-defense-mk2-equipment",
      sprite =
      {
        filename = "__gimprovements__/graphics/equipment/laser-defense-mk2-equipment.png",
        width = 64,
        height = 96,
        priority = "medium"
      },
      shape =
      {
        width = 2,
        height = 3,
        type = "full"
      },
      energy_source =
      {
        type = "electric",
        usage_priority = "secondary-input",
        buffer_capacity = "33kJ"
      },
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "electric",
        cooldown = 15,
        damage_modifier = 6,
        projectile_center = {0, 0},
        projectile_creation_distance = 0.6,
        range = 18,
        sound = make_laser_sounds(),
        ammo_type =
        {
          type = "projectile",
          category = "electric",
          energy_consumption = "20kJ",
          projectile = "laser",
          speed = 1.3,
          action =
          {
            {
              type = "direct",
              action_delivery =
              {
                {
                  type = "projectile",
                  projectile = "laser",
                  starting_speed = 0.33
                }
              }
            }
          }
        }
      },
      automatic = true
    },
  } 
)