data:extend(
  {
    {
      type = "ammo",
      name = "nanobot-bullet-magazine",
      icon = "__gimprovements__/graphics/icons/nanobot-bullet-magazine.png",
      flags = {"goes-to-main-inventory"},
      ammo_type =
      {
        
        category = "bullet",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "instant",
            source_effects =
            {
                type = "create-explosion",
                entity_name = "explosion-gunshot"
            },
            target_effects =
            {
              {
                type = "create-entity",
                entity_name = "explosion-hit"
              },
              {
                type = "damage",
                damage = { amount = 10 , type = "physical"}
              }
            }
          }
        }
        
      },
      magazine_size = 13,
      subgroup = "ammo",
      order = "a[basic-clips]-c[nanobot-bullet-magazine]",
      stack_size = 100
    },
    {
      type = "ammo",
      name = "explosive-rocket-mk2",
      icon = "__gimprovements__/graphics/icons/explosive-rocket-mk2.png",
      flags = {"goes-to-main-inventory"},
      ammo_type =
      {
        category = "rocket",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "projectile",
            projectile = "explosive-rocket-mk2",
            starting_speed = 0.2,
            source_effects =
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            }
          }
        }
      },
      subgroup = "ammo",
      order = "d[rocket-launcher]-c[explosive]",
      stack_size = 100
    },
    {
      type = "ammo",
      name = "mini-nuke",
      icon = "__gimprovements__/graphics/icons/mini-nuke.png",
      flags = {"goes-to-main-inventory"},
      ammo_type =
      {
        category = "mini-nuke",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "projectile",
            projectile = "mini-nuke",
            starting_speed = 0.03,
            source_effects =
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            }
          }
        }
      },
      subgroup = "ammo",
      order = "d[rocket-launcher]-b[explosive]-a[mini-nuke]",
      stack_size = 10
    },
    {
    type = "item",
    name = "buggy",
    icon = "__gimprovements__/graphics/icons/buggy.png",
    flags = {"goes-to-quickbar"},
    subgroup = "transport", --transport
    order = "b[personal-transport]-b[buggy]",
    place_result = "buggy",
    stack_size = 1
    },
    {
      type = "item",
      name = "alien-energy-shield-equipment",
      icon = "__gimprovements__/graphics/icons/alien-energy-shield-equipment.png",
      placed_as_equipment_result = "alien-energy-shield-equipment",
      flags = {"goes-to-main-inventory"},
      subgroup = "equipment",
      order = "b[shield]-c[alien-energy-shield-equipment]",
      stack_size = 50,
      default_request_amount = 10
    },
    {
      type = "item",
      name = "alien-fusion-reactor-equipment",
      icon = "__gimprovements__/graphics/icons/alien-fusion-reactor-equipment.png",
      placed_as_equipment_result = "alien-fusion-reactor-equipment",
      flags = {"goes-to-main-inventory"},
      subgroup = "equipment",
      order = "a[energy-source]-c[alien-fusion-reactor]",
      stack_size = 20
    },
    {
      type = "item",
      name = "laser-defense-mk2-equipment",
      icon = "__gimprovements__/graphics/icons/laser-defense-mk2-equipment.png",
      placed_as_equipment_result = "laser-defense-mk2-equipment",
      flags = {"goes-to-main-inventory"},
      subgroup = "equipment",
      order = "d[active-defense]-a[laser-defense-mk2-equipment]",
      stack_size = 20
    },
    {
      type = "armor",
      name = "power-armor-mk3",
      icon = "__gimprovements__/graphics/icons/power-armor-mk3.png",
      flags = {"goes-to-main-inventory"},
      resistances =
      {
        {
          type = "physical",
          decrease = 13,
          percent = 43
        },
        {
          type = "acid",
          decrease = 14,
          percent = 43
        },
        {
          type = "explosion",
          decrease = 25,
          percent = 53
        }
      },
      durability = 30000,
      subgroup = "armor",
      order = "f[power-armor-mk3]",
      stack_size = 1,
      equipment_grid = {width = 12, height = 12}
    },
    {
      type = "item",
      name = "hvmg-turret",
      icon = "__gimprovements__/graphics/icons/hvmg-turret.png",
      flags = {"goes-to-quickbar"},
      subgroup = "defensive-structure",
      order = "b[turret]-b[hvmg-turret]",
      place_result = "hvmg-turret",
      stack_size = 50
    },
    {
      type = "item",
      name = "heavy-laser-turret",
      icon = "__gimprovements__/graphics/icons/heavy-laser-turret.png",
      flags = {"goes-to-quickbar"},
      subgroup = "defensive-structure",
      order = "b[turret]-c[heavy-laser-turret]",
      place_result = "heavy-laser-turret",
      stack_size = 20
    },
  }
)