data:extend({
  {
    type = "technology",
    name = "nanobot-bullets",
    icon = "__base__/graphics/technology/bullet-speed.png",
    prerequisites = {"bullet-damage-6", "bullet-speed-6", "military-4"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "nanobot-bullet-magazine"
      }--[[{,
        type = "unlock-recipe",
        recipe = "nanobot-bullet-magazine-2"
      }--]]
    },
    unit =
    {
      count = 350,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 40
    },
    order = "e-l-f"
  },
  {
    type = "technology",
    name = "explosive-rockets-mk2",
    icon = "__gimprovements__/graphics/technology/explosive-rockets-mk2.png",
    prerequisites = {"rocket-damage-5", "rocket-speed-5", "military-4"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "explosive-rocket-mk2"
      }
    },
    unit =
    {
      count = 400,
      ingredients = {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 60
    },
    order = "e-j-e"
  },
  {
    type = "technology",
    name = "automobilism-2",
    icon = "__base__/graphics/technology/automobilism.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "buggy"
      },
      --[[{
        type = "unlock-recipe",
        recipe = "panzer"
      }--]]
    },
    prerequisites = {"automobilism", "logistics-3"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1}
      },
      time = 45
    },
    upgrade = true,
    order = "e-b-b"
  },
  {
    type = "technology",
    name = "land-mine",
    icon = "__base__/graphics/technology/land-mine.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "land-mine"
      }
    },
    prerequisites = {"explosives", "military-4"},
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 45
    },
    order = "e-e"
  },
  {
    type = "technology",
    name = "military-5",
    icon = "__base__/graphics/technology/military.png",
    prerequisites = {"military-4"},
    unit =
    {
      count = 300,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 2},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 60
    },
    order = "e-a-f"
  },
  {
    type = "technology",
    name = "nuclear-weapons",
    icon = "__gimprovements__/graphics/nuclear-weapons.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "mini-nuke"
      },
      {
        type = "unlock-recipe",
        recipe = "mini-nuke-launcher"
      }
    },
    prerequisites = {"military-5","explosives"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 4},
        {"science-pack-2", 4},
        {"science-pack-3", 8},
        {"alien-science-pack", 4},
        {"science-pack-5", 1}
      },
      time = 60
    },
    order = "e-a-f"
  },
  {
    type = "technology",
    name = "power-armor-3",
    icon = "__base__/graphics/technology/power-armor-mk2.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "power-armor-mk3"
      }
    },
    prerequisites = {"power-armor-2", "alien-technology-2", "speed-module-4"},
    unit =
    {
      count = 2000,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}, 
        {"science-pack-3", 1}, 
        {"alien-science-pack", 1},
        {"science-pack-5", 1}
      },
      time = 30
    },
    order = "g-c-c",
    upgrade = "true"
  },
  {
    type = "technology",
    name = "alien-energy-shield-equipment",
    icon = "__gimprovements__/graphics/technology/alien-energy-shield-equipment.png",
    prerequisites = {"energy-shield-mk2-equipment", "power-armor-3"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "alien-energy-shield-equipment"
      }
    },
    unit =
    {
      count = 600,
      ingredients = 
      {
        {"science-pack-1", 1}, 
        {"science-pack-2", 1}, 
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
        {"science-pack-5", 1}
      },
      time = 30
    },
    order = "g-e-c"
  },
  {
    type = "technology",
    name = "fusion-reactor-equipment-2",
    icon = "__base__/graphics/technology/fusion-reactor-equipment.png",
    prerequisites = {"power-armor-3","fusion-reactor-equipment"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "alien-fusion-reactor-equipment"
      }
    },
    unit =
    {
      count = 600,
      ingredients = 
      {
        {"science-pack-1", 1}, 
        {"science-pack-2", 1}, 
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
        {"science-pack-5", 1}
      },
      time = 30
    },
    order = "g-l-a",
    upgrade = "true"
  },
  {
    type = "technology",
    name = "basic-laser-defense-equipment-2",
    icon = "__base__/graphics/technology/personal-laser-defense-equipment.png",
    prerequisites = {"power-armor-3", "personal-laser-defense-equipment"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "laser-defense-mk2-equipment"
      }
    },
    unit =
    {
      count = 600,
      ingredients = 
      {
        {"science-pack-1", 1}, 
        {"science-pack-2", 1}, 
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
        {"science-pack-5", 1}
      },
      time = 30
    },
    order = "g-m-a"
  },
  {
    type = "technology",
    name = "hvmg-turret",
    icon = "__gimprovements__/graphics/technology/hvmg-turret.png",
    prerequisites = {"military-5", "turrets"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "hvmg-turret"
      }
    },
    unit =
    {
      count = 450,
      ingredients = 
      {
        {"science-pack-1", 1}, 
        {"science-pack-2", 1}, 
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 25
    },
    order = "g-m-a"
  },
  {
    type = "technology",
    name = "heavy-laser-turret",
    icon = "__gimprovements__/graphics/technology/heavy-laser-turret.png",
    prerequisites = {"military-5", "laser-turrets", "battery-2", "energetics"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "heavy-laser-turret"
      }
    },
    unit =
    {
      count = 500,
      ingredients = 
      {
        {"science-pack-1", 1}, 
        {"science-pack-2", 1}, 
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 25
    },
    order = "a-j-c"
  },
})
