	hvmg_2x2 =
	{
		filename = "__gimprovements__/graphics/entity/heavy-machine-gun-turret/hvmg-sheet.png",
		priority = "medium",
		width = 256,
		height = 256,
		direction_count = 8,
		frame_count = 1,
		axially_symmetrical = false,
		shift = { 0.1875, -0.0},
    scale = 0.5,
	}
  hvlt_3x3 =
	{
		filename = "__gimprovements__/graphics/entity/heavy-laser-turret/heavy-laser-turret-sheet.png",
		priority = "medium",
    width = 256,
    height = 256,
    shift = {0.31, -0},
		direction_count = 8,
		frame_count = 1,
		--line_length = 1,
		axially_symmetrical = false,
    scale = 0.75
	}
  
data:extend
(
  {
    {
      type = "ammo-turret",
      name = "hvmg-turret",
      icon = "__gimprovements__/graphics/icons/hvmg-turret.png",
      flags = {"placeable-player", "player-creation"},
      minable = {mining_time = 0.5, result = "hvmg-turret"},
      max_health = 500,
      resistances =
			{
				{ type = "physical", decrease = 15, percent = 50, },
				{ type = "explosion", decrease = 15, percent = 30, },
				{ type = "acid", percent = 50, },
			},
      corpse = "medium-remnants",
      collision_box = {{-0.7, -0.7 }, {0.7, 0.7}},
      selection_box = {{-1, -1 }, {1, 1}},
      rotation_speed = 0.012,
      preparing_speed = 0.08,
      folding_speed = 0.08,
      dying_explosion = "medium-explosion",
      inventory_size = 1,
      automated_ammo_count = 10,
      attacking_speed = 0.5, --0.15
      circuit_wire_max_distance = 7.5,
      
      folded_animation = (function()
      local res = util.table.deepcopy(hvmg_2x2)
			res.frame_count = 1
			res.line_length = 1
			return res
			end)(),
      preparing_animation = hvmg_2x2,
      
      prepared_animation =
			{
				filename = "__gimprovements__/graphics/entity/heavy-machine-gun-turret/hvmg-sheet.png",
				priority = "medium",
        width = 256,
        height = 256,
				direction_count = 64,
				frame_count = 1,
				line_length = 8,
				axially_symmetrical = false,
        shift = { 0.1875, -0.0}, -- -0.625
        scale = 0.5,
			},
      folding_animation = (function()
			local res = util.table.deepcopy(hvmg_2x2)
			res.run_mode = "backward"
			return res
			end)(),
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "bullet",
        cooldown = 20, --20
        --projectile_center = {0.0625, -0.0875}, -- same as gun_turret_attack shift
        projectile_center = {0, 0},
        projectile_creation_distance = 1.4, --1.39375,
        damage_modifier = 3.5,
        shell_particle =
        {
          name = "shell-particle",
          direction_deviation = 0.1,
          speed = 0.1,
          speed_deviation = 0.03,
          center = {0, 0.6}, --bylo: 0,0
          creation_distance = -1.925,
          starting_frame_speed = 0.2,
          starting_frame_speed_deviation = 0.1
        },
        range = 22,
        sound =
				{
					{
						filename = "__gimprovements__/sound/hvmg-turret.ogg",
						volume = 1,
					}
				},
      },
 
      
      
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

      call_for_help_radius = 50
    },
    {
      type = "electric-turret",
      name = "heavy-laser-turret",
      icon = "__gimprovements__/graphics/icons/heavy-laser-turret.png",
      flags = { "placeable-player", "placeable-enemy", "player-creation"},
      minable = { mining_time = 1.5, result = "heavy-laser-turret" },
      max_health = 1100,
      corpse = "medium-remnants",
      collision_box = {{ -0.7, -0.7}, {1.7, 1.7}},
      selection_box = {{ -1, -1}, {2, 2}},
      rotation_speed = 0.01,
      preparing_speed = 0.05,
      dying_explosion = "medium-explosion",
      folding_speed = 0.05,
      resistances =
			{
				{ type = "acid", decrease = 0, percent = -30, },
			},
      energy_source =
      {
        type = "electric",
        buffer_capacity = "10001kJ",
        input_flow_limit = "2800kW",
        drain = "50kW",
        usage_priority = "primary-input"
      },
      folded_animation = (function()
			local res = util.table.deepcopy(hvlt_3x3)
			res.frame_count = 1
			res.line_length = 1
			return res
			end)(),
      preparing_animation = hvlt_3x3,
      prepared_animation =
			{
				filename = "__gimprovements__/graphics/entity/heavy-laser-turret/heavy-laser-turret-sheet.png",
				priority = "medium", width = 256, height = 256, shift = {0.31, -0},
				direction_count = 64,
				frame_count = 1,
				line_length = 8,
				axially_symmetrical = false,
        scale = 0.75,
				
			},
      folding_animation = (function()
			local res = util.table.deepcopy(hvlt_3x3)
			res.run_mode = "backward"
			return res
			end)(),
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },

      attack_parameters =
      {
        type = "projectile",
        ammo_category = "electric",
        cooldown = 6, --214,
        projectile_center = {0, -0.2},
        projectile_creation_distance = 1.4,
        range = 33,
        damage_modifier = 1,
        ammo_type =
        {
          type = "projectile",
          category = "heavy-laser-turret",
          energy_consumption = "10000kJ",
          action =
          {
            {
              type = "direct",
              action_delivery =
              {
                {
                  type = "projectile",
                  projectile = "heavy-laser",
                  starting_speed = 0.85 --0,5
                }
              }
            }
          }
        },
        sound = 
				{
					{
						filename = "__gimprovements__/sound/heavy-laser-turret.ogg",
						volume = 1,
					}
				},
      },
      call_for_help_radius = 60
    },
  }
)