data:extend
(
  {
    {
      type = "car",
      name = "buggy",
      icon = "__base__/graphics/icons/car.png",
      flags = {"pushable", "placeable-neutral", "player-creation", "placeable-off-grid"},
      minable = {mining_time = 1, result = "buggy"},
      max_health = 400,
      corpse = "medium-remnants",
      dying_explosion = "medium-explosion",
      energy_per_hit_point = 1,
      crash_trigger = crash_trigger(),
      resistances =
      {
        {
          type = "fire",
          percent = 55 --[50]
        },
        {
          type = "impact",
          percent = 40, --[30]
          decrease = 30
        }
      },
      collision_box = {{-0.7, -1}, {0.7, 1}},
      selection_box = {{-0.7, -1}, {0.7, 1}},
      effectivity = 0.6, --[0.5] 
      braking_power = "320kW",
      burner =
      {
        effectivity = 0.89, --[0.6] efektivita plen paliva
        fuel_inventory_size = 1,
        smoke =
        {
          {
            name = "car-smoke",
            deviation = {0.25, 0.25},
            frequency = 200,
            position = {0, 1.5},
            starting_frame = 0,
            starting_frame_deviation = 60
          }
        }
      },
      consumption = "310kW", --265 - 300 --max speed
      friction = 2e-3,
      light =
      {
        {
          type = "oriented",
          minimum_darkness = 0.3,
          picture =
          {
            filename = "__gimprovements__/graphics/core/light-cone.png",
            priority = "medium",
            scale = 1, --uprava [2]
            width = 600,
            height = 600
          },
          shift = {0, -18.8},
          size = 2,
          intensity = 0.65 --[0.6]
        },
        {
          type = "oriented",
          minimum_darkness = 0.3,
          picture =
          {
            filename = "__gimprovements__/graphics/core/light-cone.png",
            priority = "medium",
            scale = 1, --dve svetla, dva zdroje [2]
            width = 600,
            height = 600
          },
          shift = {0, -18.8},
          size = 2,
          intensity = 0.65
        }
      },
      animation =
      {
        layers =
        {
          {
            width = 102,
            height = 86,
            frame_count = 2,
            direction_count = 64,
            shift = {0, -0.1875},
            animation_speed = 8,
            max_advance = 0.2,
            stripes =
            {
              {
               filename = "__base__/graphics/entity/car/car-1.png",
               width_in_frames = 2,
               height_in_frames = 22,
              },
              {
               filename = "__base__/graphics/entity/car/car-2.png",
               width_in_frames = 2,
               height_in_frames = 22,
              },
              {
               filename = "__base__/graphics/entity/car/car-3.png",
               width_in_frames = 2,
               height_in_frames = 20,
              },
            }
          },
          {
            width = 100,
            height = 75,
            frame_count = 2,
            apply_runtime_tint = true,
            direction_count = 64,
            max_advance = 0.2,
            line_length = 2,
            shift = {0, -0.171875},
            stripes = util.multiplystripes(2,
            {
              {
                filename = "__base__/graphics/entity/car/car-mask-1.png",
                width_in_frames = 1,
                height_in_frames = 22,
              },
              {
                filename = "__base__/graphics/entity/car/car-mask-2.png",
                width_in_frames = 1,
                height_in_frames = 22,
              },
              {
                filename = "__base__/graphics/entity/car/car-mask-3.png",
                width_in_frames = 1,
                height_in_frames = 20,
              },
            })
          },
          {
            width = 114,
            height = 76,
            frame_count = 2,
            draw_as_shadow = true,
            direction_count = 64,
            shift = {0.28125, 0.25},
            max_advance = 0.2,
            stripes = util.multiplystripes(2,
            {
             {
              filename = "__base__/graphics/entity/car/car-shadow-1.png",
              width_in_frames = 1,
              height_in_frames = 22,
             },
             {
              filename = "__base__/graphics/entity/car/car-shadow-2.png",
              width_in_frames = 1,
              height_in_frames = 22,
             },
             {
              filename = "__base__/graphics/entity/car/car-shadow-3.png",
              width_in_frames = 1,
              height_in_frames = 20,
             },
            })
          }
        }
      },
      turret_animation =
      {
        layers =
        {
          {
            filename = "__base__/graphics/entity/car/car-turret.png",
            line_length = 8,
            width = 36,
            height = 29,
            frame_count = 1,
            direction_count = 64,
            shift = {0.03125, -0.890625},
            animation_speed = 8,
          },
          {
            filename = "__base__/graphics/entity/car/car-turret-shadow.png",
            line_length = 8,
            width = 46,
            height = 31,
            frame_count = 1,
            draw_as_shadow = true,
            direction_count = 64,
            shift = {0.875, 0.359375},
          }
        }
      },
      turret_rotation_speed = 0.35 / 60,
      sound_no_fuel =
      {
        {
          filename = "__base__/sound/fight/car-no-fuel-1.ogg",
          volume = 0.6
        },
      },
      stop_trigger_speed = 0.25,
      stop_trigger =
      {
        {
          type = "play-sound",
          sound =
          {
            {
              filename = "__base__/sound/car-breaks.ogg",
              volume = 0.6
            },
          }
        },
      },
      sound_minimum_speed = 0.2;
      vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
      working_sound =
      {
        sound =
        {
          filename = "__base__/sound/car-engine.ogg",
          volume = 0.6
        },
        activate_sound =
        {
          filename = "__base__/sound/car-engine-start.ogg",
          volume = 0.6
        },
        deactivate_sound =
        {
          filename = "__base__/sound/car-engine-stop.ogg",
          volume = 0.6
        },
        match_speed_to_activity = true,
      },
      open_sound = { filename = "__base__/sound/car-door-open.ogg", volume=0.7 },
      close_sound = { filename = "__base__/sound/car-door-close.ogg", volume = 0.7 },
      rotation_speed = 0.016,
      weight = 800,
      guns = { "buggy-gun" },
      inventory_size = 65
    }
  }
)